# csl_srio.h File Reference

This is the header file for the SRIO CSL Functional Layer. More...

`#include <ti/csl/soc.h>`
`#include <ti/csl/csl.h>`
`#include <ti/csl/cslr_srio.h>`

## Data Structures
struct | SRIO_MESSAGE
| SRIO Message Description. More...
struct | SRIO_TYPE9_MESSAGE
| SRIO Type 9 Message Description. More...
struct | SRIO_AMU_WINDOW
| SRIO AMU Window. More...
struct | SRIO_AMU_PANE
| SRIO AMU Pane. More...
struct | SRIO_LSU_TRANSFER
| SRIO LSU Transfer. More...
struct | SRIO_PE_FEATURES
| SRIO Processing Element Features. More...
struct | SRIO_OP_CAR
| SRIO Operation Capability Register. More...
struct | SRIO_ERR_RATE
| SRIO Error Rate. More...
struct | SRIO_LANE_STATUS
| SRIO Lane Status. More...
struct | SRIO_PLM_IMPL_CONTROL
| SRIO Lane Status. More...
struct | SRIO_PLM_VMIN_EXPONENT
| SRIO PLM VMin Exponent. More...
struct | SRIO_PLM_POLARITY_CONTROL
| SRIO PLM Polarity Control. More...
struct | SRIO_PLM_CONTROL_SYMBOL
| SRIO PLM Control Symbol Configuration. More...
struct | SRIO_TLM_CONTROL
| SRIO TLM Control Configuration. More...
## Typedefs
typedef volatile CSL_SrioRegs * | CSL_SrioHandle
| This is the handle to the SRIO instance.
typedef struct SRIO_MESSAGE | SRIO_MESSAGE
| SRIO Message Description.
typedef struct SRIO_TYPE9_MESSAGE | SRIO_TYPE9_MESSAGE
| SRIO Type 9 Message Description.
typedef struct SRIO_AMU_WINDOW | SRIO_AMU_WINDOW
| SRIO AMU Window.
typedef struct SRIO_AMU_PANE | SRIO_AMU_PANE
| SRIO AMU Pane.
typedef struct SRIO_LSU_TRANSFER | SRIO_LSU_TRANSFER
| SRIO LSU Transfer.
typedef struct SRIO_PE_FEATURES | SRIO_PE_FEATURES
| SRIO Processing Element Features.
typedef struct SRIO_OP_CAR | SRIO_OP_CAR
| SRIO Operation Capability Register.
typedef struct SRIO_ERR_RATE | SRIO_ERR_RATE
| SRIO Error Rate.
typedef struct SRIO_LANE_STATUS | SRIO_LANE_STATUS
| SRIO Lane Status.
typedef struct SRIO_PLM_IMPL_CONTROL | SRIO_PLM_IMPL_CONTROL
| SRIO Lane Status.
typedef struct SRIO_PLM_VMIN_EXPONENT | SRIO_PLM_VMIN_EXPONENT
| SRIO PLM VMin Exponent.
typedef struct SRIO_PLM_POLARITY_CONTROL | SRIO_PLM_POLARITY_CONTROL
| SRIO PLM Polarity Control.
typedef struct SRIO_PLM_CONTROL_SYMBOL | SRIO_PLM_CONTROL_SYMBOL
| SRIO PLM Control Symbol Configuration.
typedef struct SRIO_TLM_CONTROL | SRIO_TLM_CONTROL
| SRIO TLM Control Configuration.
## Functions
CSL_SrioHandle | CSL_SRIO_Open (Int32 instNum)

## Detailed Description

This is the header file for the SRIO CSL Functional Layer.

  ============================================================================
  (C) Copyright 2008, 2009, Texas Instruments, Inc.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.

Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

Neither the name of Texas Instruments Incorporated nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

## Function Documentation

CSL_SrioHandle CSL_SRIO_Open | ( | Int32 | instNum | ) |

============================================================================
CSL_SRIO_Open

Description
This API opens the SRIO instance. This should always be the first call to the CSL SRIO Functional layer. The handle which is returned from this call should be passed in all subsequent CSL API's.

Return Value
CSL_SrioHandle - Handle to the SRIO Module
0 - Error.

Pre Condition
None

Post Condition
None

Affects
None.

Example

            CSL_SrioHandle   hnd;
            ...
            hnd = CSL_SRIO_Open (0);    // Opens SRIO Instance 0
            ...

===========================================================================

Copyright 2012, Texas Instruments Incorporated